spandsp 0.0.6

v42_state_s Struct Reference

`#include <v42.h>`

## Public Attributes
int | calling_party
int | detect
int | tx_bit_rate
v42_config_parameters_t | config
v42_negotiation_t | neg
lapm_state_t | lapm
int | bit_timer
void(* | bit_timer_func )(v42_state_t *m)
logging_state_t | logging
| Error and flow logging control.

## Detailed Description

V.42 descriptor. This defines the working state for a single instance of a V.42 error corrector.

## Member Data Documentation

## ◆ calling_party

int v42_state_s::calling_party

TRUE if we are the calling party, otherwise FALSE.

Referenced by v42_init().

## ◆ detect

int v42_state_s::detect

TRUE if we should detect whether the far end is V.42 capable. FALSE if we go directly to protocol establishment.

Referenced by v42_init(), and v42_restart().

## ◆ tx_bit_rate

int v42_state_s::tx_bit_rate

The bit rate, used to time events

Referenced by v42_init().

The documentation for this struct was generated from the following file:

- private/v42.h